//   LIBROW FFT sample
//   Demonstrates how to use the FFT
//
//   The code is property of LIBROW
//   You can use it on your own
//   When utilizing credit LIBROW site

//   FFT header
#include "fft.h"
//   Output
#include <iostream>

//   Application entry point
int main(int argc, char *argv[])
{
	//   Input signal
	std::complex<double> Signal[8] = {0., 1., 2., 3., 4., 5., 6., 7.};

	//   Process the signal with FFT
	TFFT<double>::Forward(Signal, 8);

	//   Result output - real part
	std::cout << "re: ";
	for (unsigned int i = 0; i < 8; ++i)
		std::cout << Signal[i].real() << " ";
	//   Result output - imaginary part
	std::cout << std::endl << "im: ";
	for (unsigned int i = 0; i < 8; ++i)
		std::cout << Signal[i].imag() << " ";
	std::cout << std::endl << std::endl;
	//   Done
	return 0;
}
